com.google.cloud.dataflow.sdk.io.datastore

## Class DatastoreV1.DeleteEntity

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.PTransform<PCollection<T>,PDone>
  - - com.google.cloud.dataflow.sdk.io.datastore.DatastoreV1.DeleteEntity

All Implemented Interfaces:
  HasDisplayData, Serializable

Enclosing class:
  DatastoreV1

    public static class DatastoreV1.DeleteEntity
    extends PTransform<PCollection<T>,PDone>

A `PTransform` that deletes `Entities` from Cloud Datastore.

See Also:
  `DatastoreIO`, Serialized Form

### Field Summary

### Fields inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`name`

### Method Summary

All Methods Instance Methods Concrete Methods
`DatastoreV1.DeleteEntity` `withProjectId(String projectId)` Returns a new `DatastoreV1.DeleteEntity` that deletes entities from the Cloud Datastore for the specified project.

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`getDefaultOutputCoder, getDefaultOutputCoder, getDefaultOutputCoder, getKindString, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### withProjectId

    public DatastoreV1.DeleteEntity withProjectId(String projectId)

Returns a new `DatastoreV1.DeleteEntity` that deletes entities from the Cloud Datastore for the specified project.